import 'package:flutter/material.dart';
import 'package:zowie_flutter_sdk/zowie.dart';
import 'package:zowie_flutter_sdk/zowie_color.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  final accentColor = Color(0xfffc4d02);

  @override
  void initState() {
    super.initState();
    // TODO configuration
    Zowie.configuration(
      "userId",
      "conversationId",
      "instanceId",
      conversationInitReferral: "",
    );
    // TODO localization
    Zowie.localization(
      newMessageHint: "Enter message here",
    );
    // TODO example colors
    Zowie.colors(
      messageStatusSendingErrorColor: Colors.green,
      sentMessageBackgroundColor: GradientColors(Colors.deepOrange.shade500, Colors.deepOrange.shade300),
    );
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          backgroundColor: accentColor,
          title: const Text('Zowie Flutter SDK Example'),
        ),
        body: Center(
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              Text(
                "Zowie.ai",
                style: TextStyle(fontWeight: FontWeight.bold),
              ),
              Text("Flutter SDK Example"),
              Text("version: 0.0.1+3"),
              Padding(
                padding: EdgeInsets.only(top: 32),
                child: MaterialButton(
                  color: accentColor,
                  onPressed: () {
                    Zowie.showChat();
                  },
                  child: Text(
                    "Show Chat",
                    style: TextStyle(color: Colors.white),
                  ),
                  shape: RoundedRectangleBorder(borderRadius: BorderRadius.all(Radius.circular(32))),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
