import 'dart:convert';

import 'package:flutter/material.dart';

abstract class ZowieColor {
  final ZowieColorType type;

  const ZowieColor(this.type);
}

enum ZowieColorType { solid, gradient }

class SolidColor extends ZowieColor {
  final Color color;

  const SolidColor(this.color)
      : assert(color != null),
        super(ZowieColorType.solid);
}

class GradientColors extends ZowieColor {
  final Color startColor;
  final Color endColor;

  const GradientColors(this.startColor, this.endColor)
      : assert(startColor != null),
        assert(endColor != null),
        super(ZowieColorType.gradient);
}
